Create a new area

Creates a new area in the company.

Business Rules:

  • name: Required. Maximum 300 characters.
  • externalCode: Required. Maximum 50 characters. Must be unique within the company.
  • similarity: Required. Must be a valid area similarity value.
  • description: Optional. Maximum 900 characters.
  • organizationUnit: Optional. If provided, identify the department by uuid and/or externalCode (at least one). If both are sent, uuid is used for lookup.
  • costCenter: Optional. If provided, identify the cost center by uuid and/or externalCode (at least one). If both are sent, uuid is used for lookup.

Validation:

  • All required fields must be provided and not empty.
  • The externalCode must not already exist for another area in the same company.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required
length ≤ 300

area name

organizationUnit
object

Optional department reference by uuid (preferred) and/or externalCode

costCenter
object

Optional cost center reference by uuid (preferred) and/or externalCode

string
enum
required

Area Similarity

string
required
length ≤ 50

Area external code

string
length ≤ 900

Area description

Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json